# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc导入式优惠券用户发放验证,2262,2262-13,sit,bs
涉及接口:多采商城登录、myCoupon等接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json

module = "cmdc_coupon"

# 第一步登录多采商城获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username5")
password = commonFuc().get_business_data(module, "password5")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 验证我的优惠券列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url12")

"""
 场景: 导入式优惠券用户发放验证
 用例名称：导入式优惠券用户发放验证
 输出：{"couponId": 10033}
"""

# 发送请求
result = requests.get(url, headers=headers)

# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
# print(result)
result = {"couponId": result["data"][0]["couponId"]}
result["api_time"] = api_time
# print(result)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict11")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
